<?php
session_start();
 /****************************************** صفحة تحميل المزيد من الفيديوهات ***************************************/ 
// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 


/*  اسم الجدول وبداية الكويرى */  
$table='videos';
$page_name='videos';

//استدعاء ملف الاعدادات
$conc_type='web_read_conc';
include 'conf.php'; 
 

//استدعاء ملف الاتصال بقاعدة البيانات


 //استدعاء ملف الحماية من الحقن
 include "injection.php";


//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'");
include("fetch_array_search.php");


//حماية المدخلات
if( !isset($_POST['start']) || !isset($_POST['end']) || 
!isset($_POST['num_rows']) || !isset($_POST['cat']) ||!isset($_POST['search'])){ die(); };


// فلترة المدخلات ومنع الحقن
$cat=filter_var($_POST['cat'], FILTER_SANITIZE_NUMBER_INT );
$depart=filter_var($_POST['depart'], FILTER_SANITIZE_NUMBER_INT );
$num_rows=filter_var($_POST['num_rows'], FILTER_SANITIZE_NUMBER_INT );
$end=filter_var($_POST['end'], FILTER_SANITIZE_NUMBER_INT );
$start=filter_var($_POST['start'], FILTER_SANITIZE_NUMBER_INT );
$search=preg_replace("/[^A-Za-z0-9.!? ]/",'',$_POST['search'] );





// تحويل الفقرات لسطور
function database_fix($value){
$value=str_replace("</p><p>", "<br /><br />", nl2br($value));
return 	$value;
}


// تحويل المسافات الى داش فى ال url
function url_dash($value){
$value=str_replace(" ", "-", nl2br($value));
return 	$value;
}


?>	

<div id="load_wait"></div>


	


 
							<?php
							//ضمان توافق قاعدة البيانات مع اللغة العربية
								mysqli_query($conn,"SET NAMES 'utf8'");
										
								/*بداية الاستعلام*/  
								$related_query="select  `id`,`title`,`link`,`desc`,`view` from videos where active=1  order by `priority` desc , `sort` desc , id asc limit $start,$num_rows";
								$related_result=mysqli_query($conn,$related_query);	
								
								/*بداية التكرار */  
								while($related_fetch = mysqli_fetch_array($related_result)) {
   		 $related_fetch = clean_array($related_fetch);
										$related_id=$related_fetch['id'];
										$related_title=$related_fetch['title'];

										$page_title=$related_fetch['title'];
										$page_link=$related_fetch['link'];
										$page_view=$related_fetch['view'];
										$page_link=explode('v=',$related_fetch['link']);
										$page_link=$page_link[1];
																		

							?>
										<div class='col-lg-4 col-md-6 col-sm-6 big_div_6_4_3 big_div_3' style='margin-bottom:40px'>
											
											<div class='video_cont'>
											
												<a class='video_img'  rel='nofollow'  href="<?php echo $website_url ;?>/video/<?php echo $related_fetch['id']; ?>/<?php echo  url_dash($related_fetch['title']); ?>"
													style="background:url('https://img.youtube.com/vi/<?php echo $page_link; ?>/0.jpg') no-repeat  center center /cover"
																				>
																					
												</a>
												</div>						
											
												<a  rel='nofollow'  class='big_div_a_depart text-center' href="<?php echo $website_url ;?>/video/<?php echo $related_fetch['id']; ?>/<?php echo  url_dash($related_fetch['title']); ?>"><?php echo $related_fetch['title']; ?></a>

										  </div>
											

					<?php } ?>
	
	







